# $Revision: 1.39 $, $Date: 2005/05/14 07:33:35 $
Summary:	A FM-Tuner program for GNOME
Summary(pl):	Tuner FM dla GNOME
Name:		gnomeradio
Version:	1.6
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/packages/%{name}-%{version}.tar.gz
# Source0-md5:	07b9d511f79e38f114af51cc7bfc014a
Patch0:		%{name}-schema.patch
Patch1:		%{name}-warnings.patch
Patch2:		%{name}-do_not_popup_without_lirc.patch
Patch3:		%{name}-no_disable_deprecated.patch
Patch4:		%{name}-desktop.patch
URL:		http://www.wh-hms.uni-ulm.de/~mfcn/gnomeradio/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2 >= 2.1.5
BuildRequires:	libtool
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.1-10
Requires(post):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A FM-Tuner program for GNOME.

%description -l pl
Tuner FM dla GNOME.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p0
%patch4 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-install-schemas \
	--with-gconf-schema-file-dir=%{_sysconfdir}/gconf/schemas

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.lirc example.lircrc
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_omf_dest_dir}/*
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomeradio.spec,v $
Revision 1.39  2005/05/14 07:33:35  ankry
- real fix

Revision 1.38  2005/05/14 07:17:21  ankry
- no->nb, rel. 2

Revision 1.37  2005/05/13 18:42:58  petec
- up to 1.6
- updated desktop.patch
- patches 'warnings', 'do_not_popup_without_lirc', 'no_disable_deprecated'
  no more needed

Revision 1.36  2005/03/07 21:48:21  petec
- added lirc support docs

Revision 1.35  2005/02/05 18:01:47  petec
- updated to 1.5
- updated schema and desktop patches

Revision 1.34  2004/09/20 09:06:50  ankry
- added -desktop patch, rel. 6

Revision 1.33  2004/08/18 21:50:16  undefine
- release 5

Revision 1.32  2004/08/18 21:46:53  undefine
- patch to don't disable deprecated functions

Revision 1.31  2003/12/14 17:05:28  grzegol
- added R(post): GConf2

Revision 1.30  2003/12/14 16:10:52  krzak
- fixed schemas files install
- rel 4

Revision 1.29  2003/12/01 22:58:05  krzak
- do_not_popup_without_lirc.patch - stop annoying popup if compiled with
  lirc support, but there is no lirc installed
- rel 3

Revision 1.28  2003/11/11 16:20:17  qboosh
- BR: pkgconfig, libgnomeui-devel; no bonobo-activation now

Revision 1.27  2003/11/11 15:05:18  qboosh
- lirc is available on all archs now

Revision 1.26  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.25  2003/08/18 08:08:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/08/05 10:03:07  jareq
- rebuild without linc
- release 2

Revision 1.23  2003/07/07 13:03:15  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.22  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.21  2003/05/25 05:48:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/12/17 22:52:59  aflinta
- updated to version 1.4

Revision 1.19  2002/12/09 07:22:19  aflinta
- moved to /usr
- release 3

Revision 1.18  2002/12/02 20:48:18  wolf
- rpm-build >= 4.1-7 is reqired by %%gconf_schema_install

Revision 1.17  2002/10/29 18:54:33  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.16  2002/10/27 21:30:02  aflinta
- updated to version 1.3

Revision 1.15  2002/10/09 13:14:27  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/07/03 10:29:42  kosmo
- fixed build errors, STBR

Revision 1.13  2002/07/01 16:00:23  kloczek
- added using %%find_lang macro,
- use new %doc,
- disable BuildRequires: lirc-devel on alpha nad sparc*.

Revision 1.12  2002/07/01 15:21:20  kosmo
- updated to 1.0, STBR

Revision 1.11  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:27:02  arturs
fixed a small typo

Revision 1.8  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/03 20:49:01  ankry
- adding es/pt/pt_BR Group translations

Revision 1.5  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/10 17:30:36  misiek
- updated to 0.3

Revision 1.3  2001/11/05 17:53:40  kloczek
- added regenerate ac/am/lt files.

Revision 1.2  2001/11/04 20:11:41  misiek
- updated to 0.2

Revision 1.1  2001/10/21 17:34:20  misiek
- initial pld release
